org.apache.tiles.autotag.model

## Class TemplateClass

- java.lang.Object
- - org.apache.tiles.autotag.model.TemplateClass

-     public class TemplateClass
      extends Object

  It represents a parsed template class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateClass(String name)` Constructor.
    `TemplateClass(String name, String tagName, String tagClassPrefix, TemplateMethod executeMethod)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDocumentation()` Returns the documentation for this class.
    `TemplateMethod` | `getExecuteMethod()` Returns the method that execute this class.
    `String` | `getName()` The name of the parsed class.
    `Collection<TemplateParameter>` | `getParameters()` Returns the collection of regular parameters (no request, no body) of the execute method.
    `String` | `getSimpleName()` Returns the name of the class, without the package part.
    `String` | `getTagClassPrefix()` Returns the tag class prefix.
    `String` | `getTagName()` Returns the tag name.
    `boolean` | `hasBody()` Indicates that this class needs a tag body.
    `void` | `setDocumentation(String documentation)` Sets the documentation for this class.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateClass

          public TemplateClass(String name)

      Constructor.
      Parameters:
        `name` - The name of the template class.

    - #### TemplateClass

          public TemplateClass(String name,
                               String tagName,
                               String tagClassPrefix,
                               TemplateMethod executeMethod)

      Constructor.
      Parameters:
        `name` - The name of the template class.
        `tagName` - The name of the tag.
        `tagClassPrefix` - The tag class prefix.
        `executeMethod` - The method that executes the template class.

  - ### Method Detail

    - #### getName

          public String getName()

      The name of the parsed class.
      Returns:
        The name of the class.

    - #### getSimpleName

          public String getSimpleName()

      Returns the name of the class, without the package part.
      Returns:
        The simple class name.

    - #### getTagName

          public String getTagName()

      Returns the tag name.
      Returns:
        The tag name.

    - #### getTagClassPrefix

          public String getTagClassPrefix()

      Returns the tag class prefix.
      Returns:
        The tag class prefix.

    - #### getDocumentation

          public String getDocumentation()

      Returns the documentation for this class.
      Returns:
        The documentation.

    - #### setDocumentation

          public void setDocumentation(String documentation)

      Sets the documentation for this class.
      Parameters:
        `documentation` - The documentation.

    - #### getExecuteMethod

          public TemplateMethod getExecuteMethod()

      Returns the method that execute this class.
      Returns:
        The execute method.

    - #### getParameters

          public Collection<TemplateParameter> getParameters()

      Returns the collection of regular parameters (no request, no body) of the execute method.
      Returns:
        The regular parameters.

    - #### hasBody

          public boolean hasBody()

      Indicates that this class needs a tag body.
      Returns:
        `true` if tag body is needed.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.